Name:           perl-Module-Install-CheckLib
Version:        0.08
Release:        1%{?dist}
Summary:        Module::Install extension to check that a library is available
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Module-Install-CheckLib/
Source0:        http://www.cpan.org/authors/id/B/BI/BINGOS/Module-Install-CheckLib-%{version}.tar.gz
BuildArch:      noarch
# glibc-common for iconv
BuildRequires:  glibc-common
BuildRequires:  perl
BuildRequires:  perl(inc::Module::Install)
BuildRequires:  perl(Module::Install::AutoLicense)
BuildRequires:  perl(Module::Install::GithubMeta)
BuildRequires:  perl(Module::Install::Makefile)
BuildRequires:  perl(Module::Install::Metadata)
BuildRequires:  perl(Module::Install::ReadmeFromPod)
BuildRequires:  perl(Module::Install::WriteAll)
BuildRequires:  perl(strict)
# Run-time:
BuildRequires:  perl(base)
BuildRequires:  perl(Devel::CheckLib) >= 0.7
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Module::Install::Base) >= 0.99
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
# Tests:
BuildRequires:  perl(Capture::Tiny) >= 0.05
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Test::More) >= 0.47
# Optional tests:
BuildRequires:  perl(Test::Pod) >= 1.00
BuildRequires:  perl(Test::Pod::Coverage) >= 1.00
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Devel::CheckLib) >= 0.7
Requires:       perl(Module::Install::Base) >= 0.99

# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Module::Install::Base\\)$

%description
Module::Install::CheckLib is a Module::Install extension that integrates
Devel::CheckLib so that CPAN authors may stipulate which particular C
library and its headers they want available and to exit the Makefile.PL
gracefully if they aren't.

%prep
%setup -q -n Module-Install-CheckLib-%{version}
# Remove bundled modules
rm -r ./inc
sed -i -e '/^inc\//d' MANIFEST

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}
# Normalize encoding. The README is regenerated by
# Module::Install::ReadmeFromPod,
iconv -f ISO-8859-1 -t UTF-8 < README > README.utf8
touch -r README README.utf8
mv README.utf8 README

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Nov 05 2014 Petr Pisar <ppisar@redhat.com> 0.08-1
- Specfile autogenerated by cpanspec 1.78.
